## linux-backports-modules-2.6.22 2.6.22-14.10

=== updates/sound/Makefile ===
# Makefile for the Linux sound card driver
#

# Ubuntu added - No OSS
CONFIG_SOUND_PRIME=

obj-$(CONFIG_SOUND) += soundcore.o
obj-$(CONFIG_SOUND_PRIME) += sound_firmware.o
obj-$(CONFIG_SOUND_PRIME) += oss/
obj-$(CONFIG_DMASOUND) += oss/
obj-$(CONFIG_SND) += core/ i2c/ drivers/ isa/ pci/ ppc/ arm/ sh/ synth/ usb/ \
	sparc/ spi/ parisc/ pcmcia/ mips/ soc/
obj-$(CONFIG_SND_AOA) += aoa/

# This one must be compilable even if sound is configured out
obj-$(CONFIG_AC97_BUS) += ac97_bus.o

ifeq ($(CONFIG_SND),y)
  obj-y += last.o
endif

soundcore-objs  := sound_core.o

# Ubuntu added - Use local includes
CPPFLAGS := -I$(src)/include $(CPPFLAGS)

=== updates/sound/core/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 1999,2001 by Jaroslav Kysela <perex@suse.cz>
#

snd-y     := sound.o init.o memory.o info.o control.o misc.o device.o
snd-$(CONFIG_ISA_DMA_API) += isadma.o
snd-$(CONFIG_SND_OSSEMUL) += sound_oss.o info_oss.o

snd-pcm-objs := pcm.o pcm_native.o pcm_lib.o pcm_timer.o pcm_misc.o \
		pcm_memory.o

snd-page-alloc-y := memalloc.o
snd-page-alloc-$(CONFIG_HAS_DMA) += sgbuf.o

snd-rawmidi-objs  := rawmidi.o
snd-timer-objs    := timer.o
snd-rtctimer-objs := rtctimer.o
snd-hwdep-objs    := hwdep.o

obj-$(CONFIG_SND) 		+= snd.o
obj-$(CONFIG_SND_HWDEP)		+= snd-hwdep.o
obj-$(CONFIG_SND_TIMER)		+= snd-timer.o
obj-$(CONFIG_SND_RTCTIMER)	+= snd-rtctimer.o
obj-$(CONFIG_SND_PCM)		+= snd-pcm.o snd-page-alloc.o
obj-$(CONFIG_SND_RAWMIDI)	+= snd-rawmidi.o

obj-$(CONFIG_SND_OSSEMUL)	+= oss/
obj-$(CONFIG_SND_SEQUENCER)	+= seq/

=== updates/sound/i2c/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@suse.cz>
#

snd-i2c-objs := i2c.o
snd-cs8427-objs := cs8427.o
snd-tea6330t-objs := tea6330t.o

obj-$(CONFIG_L3) += l3/

obj-$(CONFIG_SND) += other/

# Toplevel Module Dependency
obj-$(CONFIG_SND_INTERWAVE_STB) += snd-tea6330t.o snd-i2c.o
obj-$(CONFIG_SND_ICE1712) += snd-cs8427.o snd-i2c.o
obj-$(CONFIG_SND_ICE1724) += snd-i2c.o

=== updates/sound/isa/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@suse.cz>
#

snd-adlib-objs := adlib.o
snd-als100-objs := als100.o
snd-azt2320-objs := azt2320.o
snd-cmi8330-objs := cmi8330.o
snd-dt019x-objs := dt019x.o
snd-es18xx-objs := es18xx.o
snd-opl3sa2-objs := opl3sa2.o
snd-sc6000-objs := sc6000.o
snd-sgalaxy-objs := sgalaxy.o
snd-sscape-objs := sscape.o

# Toplevel Module Dependency
obj-$(CONFIG_SND_ADLIB) += snd-adlib.o
obj-$(CONFIG_SND_ALS100) += snd-als100.o
obj-$(CONFIG_SND_AZT2320) += snd-azt2320.o
obj-$(CONFIG_SND_CMI8330) += snd-cmi8330.o
obj-$(CONFIG_SND_DT019X) += snd-dt019x.o
obj-$(CONFIG_SND_ES18XX) += snd-es18xx.o
obj-$(CONFIG_SND_OPL3SA2) += snd-opl3sa2.o
obj-$(CONFIG_SND_SC6000) += snd-sc6000.o
obj-$(CONFIG_SND_SGALAXY) += snd-sgalaxy.o
obj-$(CONFIG_SND_SSCAPE) += snd-sscape.o

obj-$(CONFIG_SND) += ad1816a/ ad1848/ cs423x/ es1688/ gus/ opti9xx/ \
		     sb/ wavefront/

=== updates/sound/core/oss/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 1999 by Jaroslav Kysela <perex@suse.cz>
#

snd-mixer-oss-objs := mixer_oss.o

snd-pcm-oss-y := pcm_oss.o
snd-pcm-oss-$(CONFIG_SND_PCM_OSS_PLUGINS) += pcm_plugin.o \
	io.o copy.o linear.o mulaw.o route.o rate.o

obj-$(CONFIG_SND_MIXER_OSS) += snd-mixer-oss.o
obj-$(CONFIG_SND_PCM_OSS) += snd-pcm-oss.o

=== updates/sound/drivers/opl3/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@suse.cz>
#

snd-opl3-lib-objs := opl3_lib.o opl3_synth.o
snd-opl3-synth-y := opl3_seq.o opl3_midi.o opl3_drums.o
snd-opl3-synth-$(CONFIG_SND_SEQUENCER_OSS) += opl3_oss.o

#
# this function returns:
#   "m" - CONFIG_SND_SEQUENCER is m
#   <empty string> - CONFIG_SND_SEQUENCER is undefined
#   otherwise parameter #1 value
#
sequencer = $(if $(subst y,,$(CONFIG_SND_SEQUENCER)),$(if $(1),m),$(if $(CONFIG_SND_SEQUENCER),$(1)))

obj-$(CONFIG_SND_OPL3_LIB) += snd-opl3-lib.o
obj-$(CONFIG_SND_OPL4_LIB) += snd-opl3-lib.o
obj-$(call sequencer,$(CONFIG_SND_OPL3_LIB)) += snd-opl3-synth.o

=== updates/sound/isa/ad1848/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@suse.cz>
#

snd-ad1848-lib-objs := ad1848_lib.o
snd-ad1848-objs := ad1848.o

# Toplevel Module Dependency
obj-$(CONFIG_SND_AD1848) += snd-ad1848.o
obj-$(CONFIG_SND_AD1848_LIB) += snd-ad1848-lib.o

=== updates/sound/isa/cs423x/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@suse.cz>
#

snd-cs4231-lib-objs := cs4231_lib.o
snd-cs4236-lib-objs := cs4236_lib.o
snd-cs4231-objs := cs4231.o
snd-cs4232-objs := cs4232.o
snd-cs4236-objs := cs4236.o

# Toplevel Module Dependency
obj-$(CONFIG_SND_CS4231_LIB) += snd-cs4231-lib.o
obj-$(CONFIG_SND_CS4231) += snd-cs4231.o
obj-$(CONFIG_SND_CS4232) += snd-cs4232.o
obj-$(CONFIG_SND_CS4236) += snd-cs4236.o snd-cs4236-lib.o

=== updates/sound/pci/ac97/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@suse.cz>
#

snd-ac97-codec-objs := ac97_codec.o ac97_pcm.o

ifneq ($(CONFIG_PROC_FS),)
snd-ac97-codec-objs += ac97_proc.o
endif

snd-ak4531-codec-objs := ak4531_codec.o

# Toplevel Module Dependency
obj-$(CONFIG_SND_AC97_CODEC) += snd-ac97-codec.o
obj-$(CONFIG_SND_ENS1370) += snd-ak4531-codec.o

obj-m := $(sort $(obj-m))

# Ubuntu
EXTRA_CFLAGS += -DCONFIG_SND_AC97_POWER_SAVE_DEFAULT=0

=== updates/sound/pci/cs46xx/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@suse.cz>
#

snd-cs46xx-y := cs46xx.o cs46xx_lib.o
snd-cs46xx-$(CONFIG_SND_CS46XX_NEW_DSP) += dsp_spos.o dsp_spos_scb_lib.o

# Toplevel Module Dependency
obj-$(CONFIG_SND_CS46XX) += snd-cs46xx.o

=== updates/sound/pci/hda/Makefile ===
# Ubuntu - HDA is disabled in kernel config, so enable it here
CONFIG_SND_HDA_INTEL=m
CONFIG_SND_HDA_HWDEP=y
CONFIG_SND_HDA_CODEC_REALTEK=y
CONFIG_SND_HDA_CODEC_ANALOG=y
CONFIG_SND_HDA_CODEC_SIGMATEL=y
CONFIG_SND_HDA_CODEC_VIA=y
CONFIG_SND_HDA_CODEC_ATIHDMI=y
CONFIG_SND_HDA_CODEC_CONEXANT=y
CONFIG_SND_HDA_CODEC_CMEDIA=y
CONFIG_SND_HDA_CODEC_SI3054=y
CONFIG_SND_HDA_GENERIC=y
CONFIG_SND_HDA_POWER_SAVE=y
CONFIG_SND_HDA_POWER_SAVE_DEFAULT=0

EXTRA_CFLAGS += -DCONFIG_SND_HDA_INTEL -DCONFIG_SND_HDA_HWDEP -DCONFIG_SND_HDA_CODEC_REALTEK \
	-DCONFIG_SND_HDA_CODEC_ANALOG -DCONFIG_SND_HDA_CODEC_SIGMATEL -DCONFIG_SND_HDA_CODEC_VIA \
	-DCONFIG_SND_HDA_CODEC_ATIHDMI -DCONFIG_SND_HDA_CODEC_CONEXANT \
	-DCONFIG_SND_HDA_CODEC_CMEDIA -DCONFIG_SND_HDA_CODEC_SI3054  \
	-DCONFIG_SND_HDA_GENERIC -DCONFIG_SND_HDA_POWER_SAVE \
	-DCONFIG_SND_HDA_POWER_SAVE_DEFAULT=0

snd-hda-intel-y := hda_intel.o
# since snd-hda-intel is the only driver using hda-codec,
# merge it into a single module although it was originally
# designed to be individual modules
snd-hda-intel-y += hda_codec.o
snd-hda-intel-$(CONFIG_PROC_FS) += hda_proc.o
snd-hda-intel-$(CONFIG_SND_HDA_HWDEP) += hda_hwdep.o
snd-hda-intel-$(CONFIG_SND_HDA_GENERIC) += hda_generic.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_REALTEK) += patch_realtek.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_CMEDIA) += patch_cmedia.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_ANALOG) += patch_analog.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_SIGMATEL) += patch_sigmatel.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_SI3054) += patch_si3054.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_ATIHDMI) += patch_atihdmi.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_CONEXANT) += patch_conexant.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_VIA) += patch_via.o

obj-$(CONFIG_SND_HDA_INTEL) += snd-hda-intel.o

=== debian/changelog ===
linux-backports-modules-2.6.22 (2.6.22-14.10) gutsy; urgency=low

  [Ben Collins]

  * ubuntu: Really fixup udeb stuff...tested and retested

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 15 Oct 2007 13:12:54 -0400

linux-backports-modules-2.6.22 (2.6.22-14.9) gutsy; urgency=low

  [Ben Collins]

  * ubuntu: Add amd64 to xen arches
    - Yes, I know the buildd's aren't a testing infrastructure :)

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 15 Oct 2007 07:51:30 -0400

linux-backports-modules-2.6.22 (2.6.22-14.8) gutsy; urgency=low

  [Ben Collins]

  * ubuntu: Add single module to d-i to alleviate errors

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 15 Oct 2007 07:40:13 -0400

linux-backports-modules-2.6.22 (2.6.22-14.7) gutsy; urgency=low

  [Ben Collins]

  * ubuntu: Fix udeb rule to not fail on no firmware. Fixes FTBFS

 -- Ben Collins <bcollins@ubuntu.com>  Sun, 14 Oct 2007 23:24:44 -0400

linux-backports-modules-2.6.22 (2.6.22-14.6) gutsy; urgency=low

  [Ben Collins]

  * ubuntu: Fix typo
  * alsa: Add version.h to get the proper one

  [Tim Gardner]

  * Re-add quirk support for Dell XPS 1330 and Inspiron 1420.

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 12 Oct 2007 10:44:28 -0400

linux-backports-modules-2.6.22 (2.6.22-14.5) gutsy; urgency=low

  * Break down alsa build into a straight M= build (no funkiness)
  * Cleanup build scripts

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 10 Oct 2007 12:17:06 -0400

linux-backports-modules-2.6.22 (2.6.22-14.4) gutsy; urgency=low

  * ABI bump
  * Pull ALSA drivers from Mercurial repo to get CVE fix.

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 09 Oct 2007 11:07:52 -0600

linux-backports-modules-2.6.22 (2.6.22-13.3) gutsy; urgency=low

  * ABI bump
  * Added ALSA

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 04 Oct 2007 12:20:02 -0600

linux-backports-modules-2.6.22 (2.6.22-12.2) gutsy; urgency=low

  * ABI Bump

 -- Ben Collins <bcollins@ubuntu.com>  Sat, 22 Sep 2007 12:16:35 -0400

linux-backports-modules-2.6.22 (2.6.22-11.1) gutsy; urgency=low

  * Move to git and normal based build system.

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 07 Sep 2007 13:08:00 -0400

=== debian/control ===
Source: linux-backports-modules-2.6.22
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), gcc-4.1-hppa64 [hppa], binutils-hppa64 [hppa], linux-headers-2.6.22-14-386 [i386], linux-headers-2.6.22-14-generic [i386 amd64], linux-headers-2.6.22-14-hppa32 [hppa], linux-headers-2.6.22-14-hppa64 [hppa], linux-headers-2.6.22-14-itanium [ia64], linux-headers-2.6.22-14-lpia [lpia], linux-headers-2.6.22-14-mckinley [ia64], linux-headers-2.6.22-14-powerpc [powerpc], linux-headers-2.6.22-14-powerpc-smp [powerpc], linux-headers-2.6.22-14-powerpc64-smp [powerpc], linux-headers-2.6.22-14-rt [i386 amd64], linux-headers-2.6.22-14-server [i386 amd64], linux-headers-2.6.22-14-sparc64 [sparc], linux-headers-2.6.22-14-sparc64-smp [sparc], linux-headers-2.6.22-14-ume [i386], linux-headers-2.6.22-14-xen [i386 amd64]


Package: linux-backports-modules-2.6.22-14-386
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-powerpc64-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-powerpc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-powerpc-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-powerpc-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-rt
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-rt
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-rt meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-sparc64
Architecture: sparc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-sparc64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit UltraSPARC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit UltraSPARC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-sparc64-smp
Architecture: sparc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-sparc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit UltraSPARC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit UltraSPARC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-ume
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-ume
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Embedded/Mobile
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Embedded/Mobile.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-ume meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-14-xen
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-14-xen
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-xen meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-source 
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#
# Example build for a specific arch:
#	fakeroot debian/rules binary-arch arch=i386 flavours="generic"
#

# This is the debhelper compatability version to use.
export DH_COMPAT=4
export LC_ALL=C
export SHELL=/bin/bash -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Pill in some arch specific stuff
include debian/rules.d/$(arch).mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

# Udeb stuff
include debian/rules.d/3-udebs.mk

# Debian Build System targets
binary: binary-indep binary-arch

binary-indep:
build-indep:

build: build-arch build-indep

clean: debian/control.stub
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf $(udebdir)
	rm -rf $(builddir)
	rm -f $(stampdir)/stamp-*

	# This gets rid of the d-i packages in control
	cp -f debian/control.stub debian/control

# Builds the image, arch headers and debug packages
include debian/rules.d/2-binary-arch.mk

# Rules for building the udebs (debian-installer)
#include debian/rules.d/5-udebs.mk

# Misc stuff
debian/control.stub: debian/d-i/kernel-versions.in	\
		debian/scripts/control-create		\
		debian/control.stub.in			\
		debian/changelog			\
		$(wildcard debian/control.d/*)
	for i in debian/d-i/kernel-versions.in debian/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' > \
		$$new;								\
	done
	$(SHELL) debian/scripts/control-head $@ $(release)-$(abinum) > $@.tmp
	flavours="$(wildcard debian/control.d/vars.*)";				\
	for i in $$flavours; do							\
	  $(SHELL) debian/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' >>	\
		$@.tmp;						\
	done
	rm -f $@
	mv $@.tmp $@
	cp $@ debian/control

.PHONY: debian/control
debian/control: debian/control.stub
	rm -rf $(udebdir)
	if [ -d debian/d-i/firmware ]; then \
		install -d $(udebdir)/firmware/$(arch); \
		cp debian/d-i/firmware/* $(udebdir)/firmware/$(arch)/; \
	fi
	install -d $(udebdir)/modules/$(arch)
	cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
	cp debian/d-i/package-list debian/d-i/kernel-versions \
		$(udebdir)/
	ln -s .. $(udebdir)/debian

	(cd $(udebdir); kernel-wedge gen-control) > $@

## linux-backports-modules-2.6.22 2.6.22-16.17

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_LBM_ALSA) += sound/

=== updates/sound/Makefile ===
CONFIG_SOUND_PRIME=
export CONFIG_SOUND_PRIME

obj-m += alsa-driver/

=== updates/sound/alsa-driver/Makefile ===
#
# Makefile for ALSA driver
# Copyright (c) 1994-98 by Jaroslav Kysela <perex@perex.cz>
#

SND_TOPDIR   = $(src)
export SND_TOPDIR

ifneq ($(KERNELRELEASE),)
# call from 2.6 kernel build system

obj-m += acore/ i2c/ drivers/ isa/ pci/ ppc/ arm/ synth/ usb/ sparc/ parisc/ sh/ pcmcia/ aoa/ soc/ misc/

else

ALSAKERNELDIR = ../alsa-kernel

ifndef IGROUP
IGROUP = root
endif
ifndef IUSER
IUSER = root
endif

ifeq (Makefile.conf,$(wildcard Makefile.conf))
include Makefile.conf
include toplevel.config
else
.PHONY: dummy1
dummy1:
	$(MAKE) all-deps
	@echo
	@echo "Please, run the configure script as first..."
	@echo
MAINSRCDIR := $(shell /bin/pwd)
endif

ifeq (,$(wildcard acinclude.m4))
.PHONY: dummy2
dummy2:
	$(MAKE) all-deps
	@echo
	@echo "Please, run the configure script as first..."
	@echo
endif

ifdef NEW_KBUILD
ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif
ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif
export KBUILD_VERBOSE KBUILD_CHECKSRC
endif

SUBDIRS  = acore i2c drivers isa synth pci aoa soc
CSUBDIRS =

ifndef NEW_KBUILD
SUBDIRS += support
endif

ifeq (y,$(CONFIG_ARM))
SUBDIRS  += arm
endif
ifeq (y,$(CONFIG_PPC))
SUBDIRS  += ppc
endif
ifeq (y,$(CONFIG_SPARC32))
SUBDIRS  += sparc
else
ifeq (y,$(CONFIG_SPARC64))
SUBDIRS  += sparc
endif
endif
ifeq (y,$(CONFIG_MIPS))
SUBDIRS  += mips
endif
ifeq (y,$(CONFIG_SGI))
SUBDIRS  += hal2
endif
ifeq (y,$(CONFIG_USB))
SUBDIRS  += usb
endif
ifeq (y,$(CONFIG_PCMCIA))
SUBDIRS  += pcmcia
endif
ifeq (y,$(CONFIG_PARISC))
SUBDIRS  += parisc
endif
ifeq (y,$(CONFIG_SUPERH))
SUBDIRS  += sh
endif
ifeq (m,$(CONFIG_AC97_BUS))
SUBDIRS  += misc
endif
CSUBDIRS += include test utils

KCONFIG_FILES = $(shell find $(SND_TOPDIR) -name Kconfig) $(shell find $(SND_TOPDIR)/alsa-kernel/ -name Kconfig)

.PHONY: all
all: compile

alsa-kernel/sound_core.c:
	ln -sf $(ALSAKERNELDIR) alsa-kernel
	ln -sf alsa-kernel sound
	ln -sf alsa-kernel/scripts scripts

include/sound/version.h: include/version.h
	if [ ! -d include/sound -a ! -L include/sound ]; then \
	  ln -sf ../alsa-kernel/include include/sound ; \
	fi
	cp -puvf include/version.h include/sound/version.h

utils/mod-deps: utils/mod-deps.c
	gcc utils/mod-deps.c -o utils/mod-deps

toplevel.config.in: $(KCONFIG_FILES) alsa-kernel/sound_core.c utils/mod-deps
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --makeconf > toplevel.config.in

acinclude.m4: $(KCONFIG_FILES) alsa-kernel/sound_core.c utils/mod-deps
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --acinclude > acinclude.m4

include/config1.h.in: $(KCONFIG_FILES) alsa-kernel/sound_core.c utils/mod-deps
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --include > include/config1.h.in

all-deps: toplevel.config.in acinclude.m4 include/config1.h.in

include/sndversions.h:
	$(MAKE) dep

.PHONY: compile
compile: include/sound/version.h include/sndversions.h
ifdef NEW_KBUILD
	$(MAKE) -C $(CONFIG_SND_KERNELDIR) SUBDIRS=$(MAINSRCDIR) $(MAKE_ADDS) CPP="$(CPP)" CC="$(CC)" modules
	utils/link-modules $(SND_TOPDIR)
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d; then exit 1; fi; done
endif
	@echo
	@echo "ALSA modules were successfully compiled."
	@echo

.PHONY: dep
dep: include/sound/version.h
ifdef NEW_KBUILD
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d prepare; then exit 1; fi; done
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d fastdep; then exit 1; fi; done
endif

.PHONY: map
map:
	awk "{ if ( length( $$1 ) != 0 ) print $$1 }" snd.map | sort -o snd.map1
	mv -f snd.map1 snd.map

.PHONY: install
install: install-headers install-modules install-scripts check-snd-prefix
	@if [ -L /dev/snd ]; then \
		echo "The ALSA devices were removed from /proc/asound/dev directory." ; \
		echo "Creating static device entries in /dev/snd." ; \
		$(SND_TOPDIR)/snddevices ; \
	fi
	cat WARNING

.PHONY: install-headers
install-headers:
	if [ -L $(DESTDIR)$(prefix)/include/sound ]; then \
		rm -f $(DESTDIR)$(prefix)/include/sound; \
		ln -sf $(MAINSRCDIR)/include/sound $(DESTDIR)$(prefix)/include/sound; \
	else \
		rm -rf $(DESTDIR)$(prefix)/include/sound; \
		install -d -m 755 -g $(IGROUP) -o $(IUSER) $(DESTDIR)$(prefix)/include/sound; \
		for f in include/sound/*.h; do \
			install -m 644 -g $(IGROUP) -o $(IUSER) $$f $(DESTDIR)$(prefix)/include/sound; \
		done \
	fi

ifeq ($(CONFIG_SND_KERNELDIR)/System.map,$(wildcard $(CONFIG_SND_KERNELDIR)/System.map))
SYSTEM_MAP_OPT = -F $(CONFIG_SND_KERNELDIR)/System.map
endif

.PHONY: install-modules
install-modules:
ifeq ($(moddir_tree),y)
	find $(DESTDIR)$(moddir) -name 'snd*.*o' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'snd*.*o.gz' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'ac97_bus.*o' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'ac97_bus.*o.gz' | xargs rm -f
else
	rm -f $(DESTDIR)$(moddir)/snd*.*o $(DESTDIR)$(moddir)/persist.o $(DESTDIR)$(moddir)/isapnp.o
	rm -f $(DESTDIR)$(moddir)/snd*.*o.gz $(DESTDIR)$(moddir)/persist.o.gz $(DESTDIR)$(moddir)/isapnp.o.gz
endif
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d modules_install; then exit 1; fi; done
ifeq ($(DESTDIR),)
	-/sbin/depmod -a $(kaversion) $(SYSTEM_MAP_OPT)
else
	@echo "*** This is a \`staged' install using the prefix"
	@echo "***	\"$(DESTDIR)\"."
	@echo "***"
	@echo "*** Once the modules have been moved to their final destination you must run the command"
	@echo "***	\"/sbin/depmod -a $(kaversion) $(SYSTEM_MAP_OPT)\"."
	@echo "***"
	@echo "*** Alternatively, if you build a package (e.g. rpm), include the"
	@echo "*** depmode command above in the post-(un)install procedure."
endif

.PHONY: install-scripts
install-scripts:
	@for d in /sbin/init.d /etc/rc.d/init.d /etc/init.d; do \
	 if [ -d $(DESTDIR)$$d ]; then \
	   if [ -f $(DESTDIR)$$d/alsasound ]; then \
	     cmp -s utils/alsasound $(DESTDIR)$$d/alsasound || \
	       install -m 755 -g $(IGROUP) -o $(IUSER) utils/alsasound $(DESTDIR)$$d/alsasound.new; \
	     break; \
	   fi; \
	   install -m 755 -g $(IGROUP) -o $(IUSER) utils/alsasound $(DESTDIR)$$d/alsasound; \
	   break; \
	fi; done

.PHONY: check-snd-prefix
check-snd-prefix:
	@ if [ x"$(DESTDIR)" = x -a -f /etc/modules.conf ]; then \
	  if grep -s -q snd_ /etc/modules.conf; then \
	    echo;\
	    echo "             ===== WARNING =====";\
	    echo;\
	    echo "The options for ALSA modules on your system still include snd_ prefix,";\
	    echo "which is obsoleted now.  Please fix /etc/modules.conf.";\
	    echo "For convenience, you can use utils/module-options script to convert";\
	    echo "the snd_ prefix automatically.";\
	    echo;\
	fi; fi

.PHONY: clean1
clean1:
	rm -f .depend *.o snd.map*
	rm -f $(DEXPORT)/*.ver
	rm -f modules/*.o modules/*.ko

.PHONY: clean
clean: clean1
ifdef NEW_KBUILD
	rm -rf .tmp_versions
endif
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d clean; then exit 1; fi; done
	@for d in $(CSUBDIRS); do if ! $(MAKE) -C $$d clean; then exit 1; fi; done

.PHONY: mrproper
mrproper: clean1
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d mrproper; then exit 1; fi; done
	@for d in $(CSUBDIRS); do if ! $(MAKE) -C $$d mrproper; then exit 1; fi; done
	rm -f *~ out.txt *.orig *.rej .#* .gdb_history
	rm -f doc/*~
	rm -f config.cache config.log config.status Makefile.conf
	rm -f utils/alsa-driver.spec
	rm -f `find ../alsa-kernel -name "*~"`
	rm -f `find ../alsa-kernel -name "*.orig"`
	rm -f `find ../alsa-kernel -name "*.rej"`
	rm -f `find ../alsa-kernel -name ".#*"`
	rm -f `find ../alsa-kernel -name "out.txt"`
	rm -rf autom4te.cache

.PHONY: cvsclean hgclean
cvsclean: mrproper
	rm -f configure snddevices aclocal.m4 acinclude.m4 include/config.h include/config1.h \
	  include/config1.h.in toplevel.config toplevel.config.in \
	  alsa-kernel sound scripts include/sound
	rm -rf include/linux
hgclean: cvsclean

.PHONY: pack
pack: mrproper
	chmod 755 utils/alsasound
	# big note: use always '--bzip2 -p' where -p is fake argument
	# it seems that some older tar has wrong getopt list
	{ \
		cd .. ; \
		rm -f alsa-driver/alsa-kernel ; \
		mv alsa-kernel alsa-driver ; \
		mv alsa-driver alsa-driver-$(CONFIG_SND_VERSION) ; \
		tar --exclude=CVS --exclude=kchanges --exclude=.cvsignore \
                    --exclude='.hg*' \
                    --owner=$(IGROUP) --group=$(IUSER) -cv --bzip2 -p \
                    -f alsa-driver-$(CONFIG_SND_VERSION).tar.bz2 alsa-driver-$(CONFIG_SND_VERSION) ; \
		mv alsa-driver-$(CONFIG_SND_VERSION) alsa-driver ; \
		mv alsa-driver/alsa-kernel . ; \
	}

.PHONY: uninstall
uninstall:
	-rm -rf $(DESTDIR)$(prefix)/include/sound
ifeq ($(moddir_tree),y)
	{ \
		for i in core $(SUBDIRS) ; do \
			rm -rf $(DESTDIR)$(moddir)/$$i ; \
		done ; \
	}
else
	rm -f $(DESTDIR)$(moddir)/snd*.o $(DESTDIR)$(moddir)/persist.o $(DESTDIR)$(moddir)/isapnp.o
endif
	rm -f $(DESTDIR)/sbin/init.d/alsasound
	rm -f $(DESTDIR)/etc/rc.d/init.d/alsasound
	rm -f $(DESTDIR)/etc/init.d/alsasound

.PHONY: TAGS
TAGS:
	find . -name '*.[ch]' | etags -

endif

=== updates/sound/alsa-kernel/Makefile ===
# Makefile for the Linux sound card driver
#
CONFIG_SOUND_PRIME=
obj-$(CONFIG_SOUND) += soundcore.o
obj-$(CONFIG_SOUND_PRIME) += sound_firmware.o
obj-$(CONFIG_SOUND_PRIME) += oss/
obj-$(CONFIG_DMASOUND) += oss/
obj-$(CONFIG_SND) += core/ i2c/ drivers/ isa/ pci/ ppc/ arm/ sh/ synth/ usb/ \
	sparc/ spi/ parisc/ pcmcia/ mips/ soc/
obj-$(CONFIG_SND_AOA) += aoa/

# This one must be compilable even if sound is configured out
obj-$(CONFIG_AC97_BUS) += ac97_bus.o

ifeq ($(CONFIG_SND),y)
  obj-y += last.o
endif

soundcore-objs  := sound_core.o

=== updates/sound/alsa-driver/pci/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

#
# ALSA extra code
#

clean-files := ad1889.c atiixp.c atiixp_modem.c bt87x.c cmipci.c ens1370.c \
	fm801.c intel8x0.c maestro3.c via82xx.c via82xx_modem.c

obj-$(CONFIG_SND) += pdplus/ asihpi/ oxygen/

#
#
#

include $(SND_TOPDIR)/alsa-kernel/pci/Makefile

include $(SND_TOPDIR)/Rules.make

ad1889.c: ad1889.patch $(SND_TOPDIR)/alsa-kernel/pci/ad1889.c
atiixp.c: atiixp.patch $(SND_TOPDIR)/alsa-kernel/pci/atiixp.c
atiixp_modem.c: atiixp_modem.patch $(SND_TOPDIR)/alsa-kernel/pci/atiixp_modem.c
bt87x.c: bt87x.patch $(SND_TOPDIR)/alsa-kernel/pci/bt87x.c
cmipci.c: cmipci.patch $(SND_TOPDIR)/alsa-kernel/pci/cmipci.c
ens1370.c: ens1370.patch $(SND_TOPDIR)/alsa-kernel/pci/ens1370.c
fm801.c: fm801.patch $(SND_TOPDIR)/alsa-kernel/pci/fm801.c
intel8x0.c: intel8x0.patch $(SND_TOPDIR)/alsa-kernel/pci/intel8x0.c
maestro3.c: maestro3.patch $(SND_TOPDIR)/alsa-kernel/pci/maestro3.c
via82xx.c: via82xx.patch $(SND_TOPDIR)/alsa-kernel/pci/via82xx.c
via82xx_modem.c: via82xx_modem.patch $(SND_TOPDIR)/alsa-kernel/pci/via82xx_modem.c

=== updates/sound/alsa-driver/pci/oxygen/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

snd-oxygen-lib-objs := oxygen_io.o oxygen_lib.o oxygen_mixer.o oxygen_pcm.o
snd-oxygen-objs := oxygen.o
snd-virtuoso-objs := virtuoso.o

obj-$(CONFIG_SND_OXYGEN_LIB) += snd-oxygen-lib.o
obj-$(CONFIG_SND_OXYGEN) += snd-oxygen.o
obj-$(CONFIG_SND_VIRTUOSO) += snd-virtuoso.o

include $(SND_TOPDIR)/Rules.make

=== updates/sound/alsa-kernel/pci/ice1712/Makefile ===
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@perex.cz>
#

snd-ice17xx-ak4xxx-objs := ak4xxx.o
snd-ice1712-objs := ice1712.o delta.o hoontech.o ews.o
snd-ice1724-objs := ice1724.o amp.o revo.o aureon.o vt1720_mobo.o pontis.o prodigy192.o juli.o phase.o wtm.o se.o

# Toplevel Module Dependency
obj-$(CONFIG_SND_ICE1712) += snd-ice1712.o snd-ice17xx-ak4xxx.o
obj-$(CONFIG_SND_ICE1724) += snd-ice1724.o snd-ice17xx-ak4xxx.o

=== updates/sound/alsa-kernel/soc/s3c24xx/Makefile ===
# S3c24XX Platform Support
snd-soc-s3c24xx-objs := s3c24xx-pcm.o
snd-soc-s3c24xx-i2s-objs := s3c24xx-i2s.o
snd-soc-s3c2443-ac97-objs := s3c2443-ac97.o

obj-$(CONFIG_SND_S3C24XX_SOC) += snd-soc-s3c24xx.o
obj-$(CONFIG_SND_S3C24XX_SOC_I2S) += snd-soc-s3c24xx-i2s.o
obj-$(CONFIG_SND_S3C2443_SOC_AC97) += snd-soc-s3c2443-ac97.o

# S3C24XX Machine Support
snd-soc-neo1973-wm8753-objs := neo1973_wm8753.o
snd-soc-smdk2443-wm9710-objs := smdk2443_wm9710.o
snd-soc-ln2440sbc-alc650-objs := ln2440sbc_alc650.o

obj-$(CONFIG_SND_S3C24XX_SOC_NEO1973_WM8753) += snd-soc-neo1973-wm8753.o
obj-$(CONFIG_SND_S3C24XX_SOC_SMDK2443_WM9710) += snd-soc-smdk2443-wm9710.o
obj-$(CONFIG_SND_S3C24XX_SOC_LN2440SBC_ALC650) += snd-soc-ln2440sbc-alc650.o

=== debian/changelog ===
linux-backports-modules-2.6.22 (2.6.22-16.17) gutsy-security; urgency=low

  * ABI bump to -16.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 19 Nov 2008 20:22:12 +0100

linux-backports-modules-2.6.22 (2.6.22-15.16) gutsy-security; urgency=low

  * Ignore udeb package generation issues. Fixes an amd64 FTBS. Its
    not elegeant, but then no one has complained about empty udeb
    packages in i386, so why not do the same for amd64?

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 18 Jun 2008 08:22:09 -0600

linux-backports-modules-2.6.22 (2.6.22-15.15) gutsy-security; urgency=low

  * Fix yet another FTBS when the parent directoery is not clean. The
    rule change in debian/rules.d/3-udebs.mk now performs an exact
    match.

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 17 Jun 2008 14:46:40 -0600

linux-backports-modules-2.6.22 (2.6.22-15.14) gutsy; urgency=low

  * Fix AMD64 FTBS. I let some control file cruft from the git repository
    creep into the package.

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 17 Jun 2008 10:01:17 -0600

linux-backports-modules-2.6.22 (2.6.22-15.12) gutsy-security; urgency=low

  * ABI bump to -15.

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 17 Jun 2008 10:01:17 -0600

linux-backports-modules-2.6.22 (2.6.22-14.11) gutsy-proposed; urgency=low

  [Kyle McMartin]

  * add vars.lpiacompat to (hopefully) fix ftbfs on lpia

  [Tim Gardner]

  * Update ALSA to relased version 1.0.15
  * Enable CONFIG_SND_HDA_INTEL for amd64
  * Add STAC9228 DMIC support
    - LP: #153963
  * DMIC support for Inspiron 1420 and 1525.
    - LP: #153963

 --  <tim.gardner@canonical.com>  Fri, 16 Nov 2007 10:03:48 -0700

=== debian/control ===
Source: linux-backports-modules-2.6.22
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), gcc-4.1-hppa64 [hppa], binutils-hppa64 [hppa], linux-headers-2.6.22-16-386 [i386], linux-headers-2.6.22-16-generic [i386 amd64], linux-headers-2.6.22-16-hppa32 [hppa], linux-headers-2.6.22-16-hppa64 [hppa], linux-headers-2.6.22-16-itanium [ia64], linux-headers-2.6.22-16-lpia [lpia], linux-headers-2.6.22-16-lpiacompat [lpia], linux-headers-2.6.22-16-mckinley [ia64], linux-headers-2.6.22-16-powerpc [powerpc], linux-headers-2.6.22-16-powerpc-smp [powerpc], linux-headers-2.6.22-16-powerpc64-smp [powerpc], linux-headers-2.6.22-16-rt [i386 amd64], linux-headers-2.6.22-16-server [i386 amd64], linux-headers-2.6.22-16-sparc64 [sparc], linux-headers-2.6.22-16-sparc64-smp [sparc], linux-headers-2.6.22-16-ume [i386], linux-headers-2.6.22-16-xen [i386 amd64]


Package: linux-backports-modules-2.6.22-16-386
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on lpiacompat
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 lpiacompat.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-powerpc-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-powerpc-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-powerpc64-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-powerpc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-rt
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-rt
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-rt meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-sparc64
Architecture: sparc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-sparc64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit UltraSPARC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit UltraSPARC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-sparc64-smp
Architecture: sparc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-sparc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit UltraSPARC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit UltraSPARC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-ume
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-ume
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Embedded/Mobile
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Embedded/Mobile.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-ume meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-2.6.22-16-xen
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.22-16-xen
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-xen meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.
